@import "tailwindcss";
@import "tw-animate-css";

@font-face {
  font-family: "rubik";
  src: url(/fonts/static/Rubik-Regular.ttf);
}
@font-face {
  font-family: "work-sans";
  src: url(/fonts/static/WorkSans-Regular.ttf);
}
@font-face {
  font-family: "atmospheric";
  src: url(/fonts/static/aAtmospheric.ttf);
}

@custom-variant dark (&:is(.dark *));

@theme {
  /* --color-RoseRed: #b6476d; */
  --color-RoseRed: #e96767;
  --color-text: #444444;
  --color-headingOrange: #d14c34;

  --color-gradientColor: linear-gradient(
    90deg,
    hsl(205deg, 46%, 30%) 0,
    hsl(260deg, 29%, 36%) 100%
  );
  --color-seaGreen: #44a890;

  --color-secondaryTextColor: #808fa2;
  --color-lightGray: #d1d1d6;
  --color-fieldColor: #303943;

  /* Light Mode Layout Colors */
  --color-layoutLightBG: #f9f9fc;
  --color-cardBG: #1c252e;
  --color-textColorLight: #323a46;
  --color-headingLight: #5d7186;

  /* Dark Mode Layout Colors */
  --color-layoutDarkBG: #141a21;
  --color-cardBG: #1c252e;
  --color-textColorDark: #fafafa;
  --color-headingDark: #aab8c5;
}

html,
body {
  overflow-x: hidden;
}

body {
  box-sizing: border-box;
  font-family: "work-sans", sans-serif;
}

* {
  box-sizing: border-box;
}

/* TypoGraphy */

.h1 {
  font-size: clamp(1.5rem, 5vw, 2.3rem) !important;
  line-height: 1 !important;
  letter-spacing: -1px;
  color: var(--);
}

.h2 {
  font-size: clamp(14px, 2vw, 18px) !important;
  line-height: 1.06 !important;
  letter-spacing: -0.8px;
}

p {
  font-size: clamp(0.8rem, 2vw, 1rem);
}

@theme inline {
  --radius-sm: calc(var(--radius) - 4px);
  --radius-md: calc(var(--radius) - 2px);
  --radius-lg: var(--radius);
  --radius-xl: calc(var(--radius) + 4px);
  --color-background: var(--background);
  --color-foreground: var(--foreground);
  --color-card: var(--card);
  --color-card-foreground: var(--card-foreground);
  --color-popover: var(--popover);
  --color-popover-foreground: var(--popover-foreground);
  --color-primary: var(--primary);
  --color-primary-foreground: var(--primary-foreground);
  --color-secondary: var(--secondary);
  --color-secondary-foreground: var(--secondary-foreground);
  --color-muted: var(--muted);
  --color-muted-foreground: var(--muted-foreground);
  --color-accent: var(--accent);
  --color-accent-foreground: var(--accent-foreground);
  --color-destructive: var(--destructive);
  --color-border: var(--border);
  --color-input: var(--input);
  --color-ring: var(--ring);
  --color-chart-1: var(--chart-1);
  --color-chart-2: var(--chart-2);
  --color-chart-3: var(--chart-3);
  --color-chart-4: var(--chart-4);
  --color-chart-5: var(--chart-5);
  --color-sidebar: var(--sidebar);
  --color-sidebar-foreground: var(--sidebar-foreground);
  --color-sidebar-primary: var(--sidebar-primary);
  --color-sidebar-primary-foreground: var(--sidebar-primary-foreground);
  --color-sidebar-accent: var(--sidebar-accent);
  --color-sidebar-accent-foreground: var(--sidebar-accent-foreground);
  --color-sidebar-border: var(--sidebar-border);
  --color-sidebar-ring: var(--sidebar-ring);
}

:root {
  --radius: 0.625rem;
  --background: oklch(1 0 0);
  --foreground: oklch(0.145 0 0);
  --card: oklch(1 0 0);
  --card-foreground: oklch(0.145 0 0);
  --popover: oklch(1 0 0);
  --popover-foreground: oklch(0.145 0 0);
  --primary: oklch(0.205 0 0);
  --primary-foreground: oklch(0.985 0 0);
  --secondary: oklch(0.97 0 0);
  --secondary-foreground: oklch(0.205 0 0);
  --muted: oklch(0.97 0 0);
  --muted-foreground: oklch(0.556 0 0);
  --accent: oklch(0.97 0 0);
  --accent-foreground: oklch(0.205 0 0);
  --destructive: oklch(0.577 0.245 27.325);
  --border: oklch(0.922 0 0);
  --input: oklch(0.922 0 0);
  --ring: oklch(0.708 0 0);
  --chart-1: oklch(0.646 0.222 41.116);
  --chart-2: oklch(0.6 0.118 184.704);
  --chart-3: oklch(0.398 0.07 227.392);
  --chart-4: oklch(0.828 0.189 84.429);
  --chart-5: oklch(0.769 0.188 70.08);
  --sidebar: oklch(0.985 0 0);
  --sidebar-foreground: oklch(0.145 0 0);
  --sidebar-primary: oklch(0.205 0 0);
  --sidebar-primary-foreground: oklch(0.985 0 0);
  --sidebar-accent: oklch(0.97 0 0);
  --sidebar-accent-foreground: oklch(0.205 0 0);
  --sidebar-border: oklch(0.922 0 0);
  --sidebar-ring: oklch(0.708 0 0);

  /* Light Mode Layout Colors */
  --layoutBG: #f9f9fc;
  --cardBG: #1c252e;
  --textColorDark: #fafafa;
  --color-lightGray: #d1d1d6;

  --glass-bg: rgba(255, 255, 255, 0.151);
  --primary-theme-color: #be6bed;
  --font-atmospheric: "atmospheric", sans-serif;
}

.dark {
  --background: oklch(0.145 0 0);
  --foreground: oklch(0.985 0 0);
  --card: oklch(0.205 0 0);
  --card-foreground: oklch(0.985 0 0);
  --popover: oklch(0.205 0 0);
  --popover-foreground: oklch(0.985 0 0);
  --primary: oklch(0.922 0 0);
  --primary-foreground: oklch(0.205 0 0);
  --secondary: oklch(0.269 0 0);
  --secondary-foreground: oklch(0.985 0 0);
  --muted: oklch(0.269 0 0);
  --muted-foreground: oklch(0.708 0 0);
  --accent: oklch(0.269 0 0);
  --accent-foreground: oklch(0.985 0 0);
  --destructive: oklch(0.704 0.191 22.216);
  --border: oklch(1 0 0 / 10%);
  --input: oklch(1 0 0 / 15%);
  --ring: oklch(0.556 0 0);
  --chart-1: oklch(0.488 0.243 264.376);
  --chart-2: oklch(0.696 0.17 162.48);
  --chart-3: oklch(0.769 0.188 70.08);
  --chart-4: oklch(0.627 0.265 303.9);
  --chart-5: oklch(0.645 0.246 16.439);
  --sidebar: oklch(0.205 0 0);
  --sidebar-foreground: oklch(0.985 0 0);
  --sidebar-primary: oklch(0.488 0.243 264.376);
  --sidebar-primary-foreground: oklch(0.985 0 0);
  --sidebar-accent: oklch(0.269 0 0);
  --sidebar-accent-foreground: oklch(0.985 0 0);
  --sidebar-border: oklch(1 0 0 / 10%);
  --sidebar-ring: oklch(0.556 0 0);

  /* Dark Mode Layout Colors */
  --layoutBG: #141a21;
  --cardBG: #1c252e;
  --textColorDark: #fafafa;
  --color-lightGray: #d1d1d6;
}

.select-primary option {
  background: var(--glass-bg, #fff);
  color: #fff;
}

@layer base {
  * {
    @apply border-border outline-ring/50;
  }
  body {
    @apply bg-background text-foreground;
  }
}

/* Hide arrows in input[type=number] for Chrome, Safari, Edge, Opera */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Hide arrows in input[type=number] for Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
